Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 05 Mar 2023 13:24:46 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi dear I really need your help as I have returned the item on 28th February before I have send maill early about credit thay say that it will take 2 to 3 working day but now 5th March but still no news about it can you do the need full to update on my credit account for me. My oder number #1716358053 the return item junoirs embellised one shoulder jumpsuit with ruched strap request to do the need full https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5794396